Bug 221148 - Feature request: RPM output information architechture clarification
Feature request: RPM output information architechture clarification
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Depends On:
  Show dependency treegraph
Reported: 2007-01-02 09:10 EST by Karl Lattimer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-09 16:44:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Lattimer 2007-01-02 09:10:10 EST
Description of problem:
I am frequently finding problems with RPMs on my system, after hearing about the
new project to bring RPM into the 22nd century I cheered with joy. Most of my
problems come down to having multiple packages installed for different
architechtures this issue became evident today in fact while trying to install
the i386 version of firefox. Using x86_64 means that flash is broken with the
native architechture version so i386 is needed if you want to watch youtube. 

After trying to do an rpm -Uvh --replacepkgs firefox.....i386.rpm and trying to
use flash I was surprised it was still not working. Checking RPM i found 

[root@ws58 klattimer]# rpm -q firefox

This raises an eyebrow. Both the same package so complaints like;
"firefox- specifies more than one package" isn't a great help.

So what I am asking for is to PLEASE have the architechture of the RPM in the
name of the package, and to have this architechture also displayed when doing an
rpm -qi of the package in question.

Its not a big ask and would help lots of x86_64 users out there.

A related request would be to have an rpm -e option to allow you to remove all
installed versions of a package.
Comment 1 Jeff Johnson 2007-01-02 11:28:25 EST
Put this line in /etcrpm/macros:

    %_query_all_fmt         %%{name}-%%{version}-%%{release}.%%{arch}

Comment 2 Jeff Johnson 2007-01-02 11:28:46 EST
That should have been /etc/rpm/macros.
Comment 3 Panu Matilainen 2007-06-28 09:17:58 EDT
Moving to devel to avoid "timeouting", the default should really be changed
someday, painful or not.
Comment 4 Panu Matilainen 2007-08-09 16:44:59 EDT
Fixed upstream, it'll find it's way to Fedora eventually...

Note You need to log in before you can comment on or make changes to this bug.